Imports System.Timers
Imports DigitalData.GUIs.ClientSuite.Base
Imports DigitalData.Modules.Logging

Namespace Workers
    Public Class WorkflowOverviewWorker
        Inherits BaseClass
        Implements IWorker

        Public Sub New(LogConfig As LogConfig)
            MyBase.New(LogConfig)
        End Sub

        Public ReadOnly Property Interval As Integer = 60000 Implements IWorker.Interval
        Public ReadOnly Property Name As String = "WorkflowOverview Worker" Implements IWorker.Name

        Public Sub Setup() Implements IWorker.Setup
            Throw New NotImplementedException()
        End Sub

        Public Sub Teardown() Implements IWorker.Teardown
            Throw New NotImplementedException()
        End Sub

        Public Async Sub Callback(manager As WorkerManager, e As ElapsedEventArgs) Implements IWorker.Callback
            Dim oSQL = $""
            Await My.Channel.CreateDatabaseRequestAsync("Get WFOverview", True)

            Throw New NotImplementedException()
        End Sub
    End Class
End Namespace

